List evaluation runs
curl --request GET \
--url https://api.getmodus.com/api/v1/scopes/{id}/evaluations/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getmodus.com/api/v1/scopes/{id}/evaluations/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getmodus.com/api/v1/scopes/{id}/evaluations/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"runs": [
{
"id": "<string>",
"skillId": 123,
"startedAt": "<string>",
"totalCases": 123,
"passedCases": 123,
"failedCases": 123,
"isRegression": true,
"finishedAt": {},
"avgScore": {},
"judgeModel": "<string>",
"errorMessage": "<string>"
}
],
"nextPageToken": "<string>"
}{
"error": {
"code": "BAD_REQUEST",
"status": "INVALID_ARGUMENT",
"message": "Invalid value for query parameter `pageSize`.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS"
}
}{
"error": {
"code": "UNAUTHORIZED",
"status": "UNAUTHENTICATED",
"message": "Missing or invalid access token.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS"
}
}{
"error": {
"code": "FORBIDDEN",
"status": "PERMISSION_DENIED",
"message": "Missing required scope(s) for this operation.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS",
"info": {
"missing": [
"<required-scope>"
]
}
}
}{
"error": {
"code": "NOT_FOUND",
"status": "NOT_FOUND",
"message": "Resource not found.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS"
}
}{
"error": {
"code": "INTERNAL_ERROR",
"status": "INTERNAL",
"message": "An unexpected error occurred.",
"requestId": "req_01HQ7K8ABCDEFGHIJKLMNOPQRS"
}
}Scopes
List evaluation runs
Returns a paginated list of evaluation runs for the scope, ordered by most recent first.
Requires: scopes:read
GET
/
api
/
v1
/
scopes
/
{id}
/
evaluations
/
runs
List evaluation runs
Authorizations
A Modus personal access token (modus_<orgUuid>_<prefix>_<secret>) or an OAuth 2.1 access token, sent as Authorization: Bearer <token>.
Path Parameters
Scope ID
Example:
42
⌘I